Scrolling Tweet Ticker - CodeCanyon Item for Sale

Introducing the Scrolling Tweet Ticker 2.0! The new version is completely rewritten from the ground up, for increased browser compatibility and functionality.

Server Requirements

  • PHP 5.3+ w/ cURL and OpenSSL

Significant changes

  • Twitter API 1.1 compatibility, which forces the use of server side script
  • Support for hashtags and search queries
  • New look and feel. Compatible with Twitter’s Display Requirements
  • IE6+ compatibility
  • Public API for ticker controls
  • Standalone javascript file, which no longer depends on jQuery or DateJS

Regarding the Twitter API 1.1 and the new PHP Script

Last year Twitter announced version 1.1 of it’s API. The most significant change was a new requirement that all requests must be authenticated. That change prevents javascript-only applications (like the tweet ticker) from communicating with the Twitter API directly. The only solution is to add a server side script. The other significant change is the display requirements. This has forced me to abandon the simple design of the old ticker. I want to make it clear, that these changes were not my choice, and were done out of necessity. Despite much outrage from the developer community, Twitter does not appear to be backing down from these changes and from May 7, 2013 June 11, 2013 and onward, version 1 of the tweet ticker, along with many other javascript-only twtter applications will cease to function.

For advanced developers who may be hesitant about using the included PHP script, the ticker has been designed to be backend agnostic, so you are free to write your own backend.

by
by
by
by
by
by